import 'package:flutter_test/flutter_test.dart';
import 'package:nut_player_ios/nut_player_ios.dart';
import 'package:nut_player_ios/nut_player_ios_platform_interface.dart';
import 'package:nut_player_ios/nut_player_ios_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockNutPlayerIosPlatform
    with MockPlatformInterfaceMixin
    implements NutPlayerIosPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final NutPlayerIosPlatform initialPlatform = NutPlayerIosPlatform.instance;

  test('$MethodChannelNutPlayerIos is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelNutPlayerIos>());
  });

  test('getPlatformVersion', () async {
    // NutPlayerIos nutPlayerIosPlugin = NutPlayerIos();
    // MockNutPlayerIosPlatform fakePlatform = MockNutPlayerIosPlatform();
    // NutPlayerIosPlatform.instance = fakePlatform;
    //
    // expect(await nutPlayerIosPlugin.getPlatformVersion(), '42');
  });
}
